%global momorel 1

Summary: Generic connection pool server for PostgreSQL
Name: pgpool
Version: 2.5
Release: %{momorel}m
%NoSource 0 http://pgfoundry.org/frs/download.php/157/pgpool-2.5.tar.gz 0ca65e97e6e836272d7f04ce9a1ae30d
Source1: rc.pgpool
Patch1: pgpool.conf.sample.patch
License: BSD
Group: Applications/Databases
URL: http://www2b.biglobe.ne.jp/~caco/pgpool/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig

%description
pgpool is a generic connection pool server for PostgreSQL. It also enables 
database replication and load balancing.

%prep
%setup -q
%patch1 -p0

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# startup script
install -d %{buildroot}%{_initscriptdir}
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/pgpool

# configuration file
if [ ! -f %{buildroot}%{_sysconfdir}/pgpool.conf ]
then
    cp %{buildroot}%{_sysconfdir}/pgpool.conf.sample %{buildroot}%{_sysconfdir}/pgpool.conf
fi

%post
/sbin/chkconfig --add pgpool

%preun
if [ $1 = 0 ] ; then
    if test -r /var/run/pgpool.pid
    then
        %{_initscriptdir}/pgpool stop
    fi
    /sbin/chkconfig --del pgpool
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS README README.euc_jp COPYING ChangeLog NEWS TODO
%{_bindir}/pgpool
%{_sysconfdir}/pgpool.conf.sample
%config %{_initscriptdir}/pgpool
%config(noreplace) %{_sysconfdir}/pgpool.conf

%changelog
* Fri Feb 4 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.5-1m)
- update to 2.5

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.3-1m)
- initial import to Momonga
